Bug 215524 - Cannot enable graphical console
Cannot enable graphical console
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-14 10:18 EST by Ulrich Drepper
Modified: 2008-01-10 23:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-10 23:02:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2006-11-14 10:18:51 EST
Description of problem:
I installed a domain using the command line tools.  When I want to use that
domain now with virt-manager I cannot use the graphical console/framebuffer
since the 'use_graphics' xenstore variableis set to "0" and there is no obvious
way to change this.

Version-Release number of selected component (if applicable):
virt-manager-0.2.3-2.fc6.x86_64

How reproducible:
always

Steps to Reproduce:
1.install doman with virt-install
2.start domain with virt-managet
3.
  
Actual results:
no graphical console

Expected results:
graphical can be enabled

Additional info:
virt-manager should allow we to select the graphical console.  It should change
the xenstore setting before starting the domain.

This bug should probably be duplicated for FC7 and RHEL and made a blocker for
RHEL5.
Comment 1 Ulrich Drepper 2006-11-14 10:38:57 EST
I should clarify this a bit.  A more fundamantal problem is that I cannot start
a domain which exists as a config file in /etc/xen in virt-manager.  If this
could be added, maybe virt-manager would set the variable.

But so far I have to create the domain with xm create and then it seems already
to be too late for virt-manager to do its magic.

So, maybe the solution is to add a way to virt-manager to start a domain like xm
create but also set the magic configuration options to create the graphical console.
Comment 2 Daniel Berrange 2006-11-14 10:43:24 EST
Yes, virt-manager is unable to manage inactive domains - since XenD provides no
API for enumerating them at this time. We are tracking work to add support for
inactive domains in bug 210648

To get the graphical console working it needs to be enabled at the time you
start the guest domain. For virt-install either use the '--vnc'  command line
arg, or say 'yes' when asked to enable graphics. For an existing domain, edit
the config file in /etc/xen  and add

vnc=1
vncunused=1

and then re-start the guest - graphics should now be possible.


virt-manager itself is unable to manage inactive domains - since XenD provides
no API for enumerating them at this time, thus it has no way to enable graphics
- this hsa to be done when the domain is started. We are tracking work to add
support for inactive domains in bug 210648
Comment 3 Red Hat Bugzilla 2007-07-24 22:07:08 EDT
change QA contact
Comment 4 Daniel Berrange 2007-09-26 20:19:37 EDT
This capability is now available in upstream source repo. Will make its way into
Fedora next time we sync up for an update.

http://hg.et.redhat.com/virt/applications/virt-manager--devel?cs=bd282b353072

Note You need to log in before you can comment on or make changes to this bug.